<template>
  <web-view :src="src"></web-view>
</template>

<script lang="ts" setup>
import { getStorage } from '@/utils/storage'
import { onLoad } from '@dcloudio/uni-app'
import { Ref, ref } from 'vue'

/**
 * 评分详情
 */
const weekIndex = ref<number>(0)
const src: Ref<string> = ref('')
onLoad(async (options) => {
  weekIndex.value = +options?.weekIndex
  await scoreDeatile()
})
async function scoreDeatile() {
  src.value = `https://wx.jxc4.com/scoredetail/?storeID=${getStorage(
    'storeID'
  )}&weekIndex=${weekIndex.value}&token=${getStorage('token')}`
}
</script>

<style>
</style>